﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Fractarc
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            if (args.Length == 0)
            {
                Console.WriteLine("Please provide YAML config file");
                return;
            }

            string path_to_settings = args[0];
            FEngine fe = new FEngine(path_to_settings);
            List<ArcDef> m_arcs = fe.Render();

            string dir = Path.GetDirectoryName(args[0]);
            string name = Path.GetFileNameWithoutExtension(args[0]);
            string target = Path.Combine(dir, name + ".gcode");

            string path_to_gcode = target;
            string gcode = fe.ToGCode();
            File.AppendAllText(path_to_gcode, gcode);

            // Debug: Save to CSV
/*
            string cav_target = Path.Combine(dir, name + ".csv");
            File.AppendAllText(cav_target, ArcDef.ToCSVHeader() + "\n");
            foreach (ArcDef arc in m_arcs)
            {
                File.AppendAllText(cav_target, arc.ToCSV() + "\n");
            }
*/
        }
    }
}


